﻿/*
    MFA --------------------------------------------------------------------------
*/

.mfa-container-outer {
    width: 500px;
    margin: 0 auto;
    margin-top: 125px;
    border: 1px solid #ccc;
    border-radius: 5px;
    background-color: #f7f7f7;
    overflow: hidden;
}

.mfa-container-outer h4 {
    padding: 5px 15px;
    background-color: #1d3c4e;
    color: white;
    font-weight: normal;
}

.mfa-container-inner {
    padding: 20px;
}

.mfa-container-inner .material-icons {
    vertical-align: middle;
    margin-right: 10px;
}

.mfa-choose-method {
    background-color: #fff;
    border-radius: 5px;
    margin: 10px;
}

.mfa-send-verification {

}

.mfa-post-verification {
    margin-bottom: 10px;
}

.mfa-post-verification input {
    font-size: 18px;
    padding: 10px;
    max-width: 170px;
}

.post-verification-btn {
    font-size: 18px;
    background-color: #00649e;
    color: white;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
}

.post-verification-btn:hover {
    background-color: #057ec5;
    cursor: pointer;
}

.message-container {
    margin-top: 10px;
}

.mfa-choose-text {

}

.choose-description-text {

}

.phone-number-display {
    padding: 15px;
    text-align: right;
}

.country-code {
    
}

.phone-number {
    font-weight: bold;
}

.mfa-send-btn {
    background-color: #1d3c4e;
    color: #fff;
    border-radius: 5px;
    padding: 5px 15px;
    border: none;
    cursor: pointer;
}

.mfa-send-btn:hover {
    background-color: #2e5c76;
}

.mfa-country-signup {
    padding: 10px 15px;
}

.mfa-phone-signup {
    padding: 10px 15px;
}

.mfa-error {
    color: red;
    font-weight: bold;
    padding: 0 20px;
}

.mfa-confirmation {
    color: green;
    font-weight: bold;
    padding: 0 20px;
}

.instruction {
    padding: 5px 15px;
    font-weight: bold;
    /* background-color: #fff; */
    /* border-radius: 5px; */
    /* color: #f4faff; */
    /* border: 1px solid #ccc; */
    /*border-bottom: 1px solid #ed7d7d;*/
}

.country-dropdown {
    max-width: 200px;
}

.country-code-display {
    color: #555;
    margin-left: 5px;
    margin-right: 5px;
    font-size: 18px;
}

.phone-input-display {
    font-size: 18px;
    max-width: 180px;
}

.mfa-announcement-container {
    max-width: 600px;
    padding: 15px;
    border: 1px solid #ccc;
    margin: 0 auto;
    position: fixed;
    left: 0;
    right: 0;
    top: 20px;
    min-width: 500px;
    text-align: center;
    border-radius: 5px;
    border: 1px solid #c3e6cb;
    color: #155724;
    background-color: #d4edda;
}

.policy-container-outer {
    width: 100%;
    display: flex;
    justify-content: center;
}

.policy-container-inner {
    width: 75%;
    margin: 0 auto;
}

.policy-subtitle-bold {
    font-weight: bold;
}

.policy-subtitle-bold-20 {
    font-weight: bold;
    font-size: 20px;
}

.policy-bold-italic {
    font-weight: bold;
    font-style: italic;
}

.policy-table-cell th, 
.policy-table-cell td 
{
    border: 1px solid;
    padding: 5px;
}

.policy-table {
    width: 100%;
    border-collapse: collapse;
}

.no-close .ui-dialog-titlebar-close {
    display: none;
}

.cookie-disabled {
    color: #aaaaaa !important;
}

a {
    outline: none;
}

.ui-dialog-title {
    text-align: left;
}

.cookie-consent {
    text-align: left !important;
}

.cookie-preference {
    text-align: left;
    margin: 16px 0;
}

.flex-spinner-container {
    justify-content: center;
}

.error-text {
    color: red;
    font-weight: bold;
}

.error-text-container {
    border: solid 1px #333333;
    padding: 15px;
    margin: 0px auto;
    text-align: center;
    width: 400px;
}